#
# Conditional build:
%bcond_with	doc	# Sphinx documentation
%bcond_with	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with	tests	# unit tests

%define		module	zope.interface
Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Name:		python-%{module}
# keep 5.x here for python2 support
Version:	5.5.2
Release:	1%{?tld}
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope.interface/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
# Source0-md5:	5a383d71156ce6f89f59a86d957a8d65
URL:		https://zopeinterface.readthedocs.io/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-coverage >= 5.0.3
BuildRequires:	python-zope.event
BuildRequires:	python-zope.testing
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-coverage >= 5.0.3
BuildRequires:	python3-zope.event
BuildRequires:	python3-zope.testing
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Provides:	ZopeInterface
Provides:	Zope-Interface
Obsoletes:	ZopeInterface < 3.4.0
Obsoletes:	Zope-Interface < 4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 'interface' concept implementation.

%description -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%package -n python3-%{module}
Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-zope-base

%description -n python3-%{module}
Python 'interface' concept implementation.

%description -n python3-%{module} -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%package apidocs
Summary:	API documentation for Python zope.interface module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.interface
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python zope.interface module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.interface.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/*.c

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/zope/interface/*.c
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py_sitedir}/zope/interface
%{py_sitedir}/zope/interface/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/interface/_zope_interface_coptimizations.so
%{py_sitedir}/zope/interface/common
%{py_sitedir}/zope/interface/tests
%{py_sitedir}/zope.interface-%{version}-py*.egg-info
%{py_sitedir}/zope.interface-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py3_sitedir}/zope/interface
%{py3_sitedir}/zope/interface/*.py
%{py3_sitedir}/zope/interface/__pycache__
%attr(755,root,root) %{py3_sitedir}/zope/interface/_zope_interface_coptimizations*.so
%{py3_sitedir}/zope/interface/common
%{py3_sitedir}/zope/interface/tests
%{py3_sitedir}/zope.interface-%{version}-py*.egg-info
%{py3_sitedir}/zope.interface-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Sun Dec 10 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-zope.interface.git;a=log;h=master

* Mon Sep 25 2023 Jakub Bogusz <qboosh@pld-linux.org> ac89e5f
- updated to 5.5.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 38f93ba
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 38ce4bd
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> ab1466e
- bumped Obsoletes, there was even Zope-Interfaces-4.0.3

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> bf1a327
- versioned Obsoletes

* Sun Nov 28 2021 Jan Rękorajski <baggins@pld-linux.org> a0e7149
- up to 4.7.2

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b79d554
- rebuild with separate debuginfo build-ids

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 3854546
- noarch docs
- rel 3

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d25d45
- release 4 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d22277b
- release 3 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 25df9df
- release 2 (by relup.sh)

* Mon Dec 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 2cf0ce4
- updated to 4.7.1
- added apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> aa120db
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f7f3c2
- added tests (enabled by default) and docs skeleton

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 499f037
- release 2 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 9a4b268
- Version: 4.5.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 81c763d
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 1bc0acd
- renamed, python3 support added

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2bef8ad
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f4ebf44
- automatic change: use py_build/py_install macros

